function pbeDefinition = constGrowth_metroNum(seed)

%% call common definition
pbeDefinition = constGrowth_common;

%% discrete sampling
thisFileName = ['metroArchive/constGrowthMetroNum_' num2str(seed) '.matx'];
if ~exist(thisFileName, 'file')
    rng(seed);
    % take integral from already-performed integration
    load('constGrowthIntegrals_0.matx', '-mat');
    
    disD = obtainDistributionDiscrete('metro', ...
        'nSample', pbeDefinition.seeding.nSample, ...
        'metroHandle', pbeDefinition.seeding.fhandle, ...
        'metroInit', pbeDefinition.seeding.mean, ...  %m
        'metroCov', pbeDefinition.seeding.cov, ...
        'metroNonAdaptive', 1e3, ...
        'metroNoHistory', 1e3, ...
        'metroRelTol', 1e-3, ...
        'metroIntegral', integral.number.value, ...
        'verbose', 1);
    save(thisFileName, '-mat', 'disD')
else
    load(thisFileName, '-mat');
end
pbeDefinition.seeding.disD = disD;

% printDistributionStatistics(pbeDefinition);
